%global enable_tests 1

Name:                nodejs-vows
Version:             0.8.2
Release:             1
Summary:             Asynchronous behavior-driven development (BDD) and continuous integration

License:             MIT
URL:                 https://github.com/cloudhead/vows
Source0:             http://registry.npmjs.org/vows/-/vows-%{version}.tgz
# Patch --supress-stdout to work with Node.js 8.x
Patch0:              nodejs-vows-supress-stdout.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch

BuildRequires:       nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:       coffee-script npm(diff) npm(eyes) npm(glob)
%endif

%description
Vows is an asynchronous behavior-driven development (BDD) framework for
Node.js.

Vows was built from the ground up to test asynchronous code. It
executes your tests in parallel when it makes sense, and sequentially
when there are dependencies. Emphasis was put on speed of execution,
clarity and user experience.


%prep
%autosetup -p 1 -n package
%nodejs_fixdep glob "^6.0.3"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/vows
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/vows
mkdir -p %{buildroot}%{nodejs_sitelib}/vows/bin
install -p -D -m0755 bin/vows %{buildroot}%{nodejs_sitelib}/vows/bin/vows
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/vows/bin/vows %{buildroot}%{_bindir}/vows
mkdir -p %{buildroot}%{_mandir}/man1
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
./bin/vows test/*.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/vows
%{_bindir}/vows


%changelog
* Wed Aug 12 2020 wangxiao <wangxiao65@huawei.com> - 0.8.2-1
- package init
